Skip to main content
GET
/
subscription
/
test-clocks
/
list
List test clocks
curl --request GET \
  --url https://uat-api.clinkbill.com/api/subscription/test-clocks/list \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "name": "<string>",
      "clockId": "<string>",
      "subscriptionId": "<string>",
      "frozenTime": 123,
      "lastAdvancedTo": 123,
      "livemode": true,
      "metadata": "<string>",
      "eventCount": 123,
      "createTime": 123,
      "updateTime": 123
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Response

Test clock list retrieved successfully

Response object returned when listing test clocks

code
integer<int32>

Response status code, 200 when success

Example:

200

msg
string

Brief description of what happened, 'success' when happy case

Example:

"success"

data
object[]

List of test clocks